UI::Util::EUIDSwap Class Reference

Helper class to get a scope executed with some other effective uid. More...

`#include <Misc.hpp>`

Collaboration diagram for UI::Util::EUIDSwap:

## Public Types

enum | ErrorCode { SetEuidErr_ = 1 }
| Error codes for exceptions.
typedef CodeException< ErrorCode > | Exception
| This classes exceptions.

## Public Member Functions

| EUIDSwap (uid_t uid=Sys::getuid())
uid_t | getOrigUID () const
| Get the original effective user id.

## Detailed Description

Helper class to get a scope executed with some other effective uid.

The documentation for this class was generated from the following files:

- Misc.hpp
- Misc.cpp